%define module	Acme-MetaSyntactic
%define name	perl-%{module}
%define version 0.89
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Generates themed metasyntactic variables
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Acme/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(LWP::UserAgent)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Acme::MetaSyntactic is a perl module to generate good (as well as funny)
metasyntactic variable names. It provides several variable themes, from the
usual "foo" "bar" list, to the fight sound effects from the Batman 60s TV
serial.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test 

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Acme
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Sep 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-03 16:09:52 (59683)
- 0.89

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-06 22:17:58 (53695)
- 0.85

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-06 21:53:09 (53694)
Import perl-Acme-MetaSyntactic

* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2007.0
- New version 0.84

* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2007.0
- New version 0.80

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-1mdv2007.0
- New version 0.79
- better source URL

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdv2007.0
- New version 0.78

* Wed Jun 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.77-1mdv2007.0
- New release 0.77

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.76-1mdv2007.0
- New release 0.76

* Sat May 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.75-1mdk
- New release 0.75

* Mon May 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.72-1mdk
- New release 0.72

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.71-1mdk
- New release 0.71

* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdk
- New release 0.69
- better source URL
- better buildrequires syntax

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdk
- New release 0.68
- fix directory ownership

* Mon Mar 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.59-1mdk
- 0.59

* Tue Jan 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.55-1mdk
- New release 0.55

* Fri Dec 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.52-1mdk
- 0.52
- Add BuildRequire

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.42-1mdk
- 0.42

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.40-1mdk
- 0.40

* Thu Aug 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.35-1mdk
- 0.35

* Mon Aug 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.33-1mdk
- 0.33

* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.31-1mdk
- 0.31

* Mon Jun 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.28-1mdk
- 0.28

* Thu Jun 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.26-1mdk
- New release 0.26

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.24-1mdk
- New release 0.24

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.23-1mdk
- 0.23

* Mon May 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.22-1mdk
- 0.22

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.13-1mdk
- 0.13

* Thu Feb 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- 0.09

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.07-1mdk
- 0.07

* Mon Jan 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-1mdk
- Initial MDK release.

